<div [ngClass]="jds.mb(12)">
  <div
    [ngClass]="[jds.mb(12)]"
    jdsBiInputGroup
    variant="element"
  >
    <jds-bi-input-left-element>
      <jds-bi-icon
        [size]="14"
        name="magnifying-glass"
      />
    </jds-bi-input-left-element>
    <input
      #search
      [colorScheme]="colorScheme"
      name="search"
      type="text"
      jdsBiInput
      placeholder="Cari Organisasi"
    />
  </div>

  <jds-bi-scrollbar [ngClass]="[jds.maxH(250)]">
    <ul
      [ngClass]="[jds.ps(0), jds.mb(0), jds.list('none'), jds.h('auto')]"
      data-mcs-theme="dark"
    >
      @if (checklist().length > 0) {
        @for (item of checklist(); track item.kode_skpd; let i = $index) {
          <li [ngClass]="[jds.mb(5), jds.pe(15)]">
            <div [ngClass]="[jds.formCheck]">
              <input
                id="checkbox-organization-{{ i }}"
                [(ngModel)]="item.checked"
                [ngClass]="[jds.formCheckInput]"
                (change)="onFilter()"
                type="checkbox"
              />
              <label
                [ngClass]="[jds.formCheckLabel]"
                for="checkbox-organization-{{ i }}"
              >
                {{ item.nama_skpd }}
              </label>
            </div>
          </li>
        }
      } @else {
        <span>Tidak ada Organisasi yang ditemukan.</span>
      }
    </ul>
  </jds-bi-scrollbar>
</div>
